Package org.silverpeas.components.websites.dao

# Class SiteDAO

java.lang.Object
org.silverpeas.components.websites.dao.SiteDAO

public class SiteDAO extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SiteDAO(String componentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `associateIcons(String id, Collection<String> iconIds)`
  `void`
  `createWebSite(SiteDetail description)`
  `void`
  `deleteAllWebSites()`
  `void`
  `deleteWebSites(Collection<String> siteIds)`
  `void`
  `dePublish(Collection<String> siteIds)`
  `Collection<IconDetail>`
  `getAllIcons()`
  `Collection<SiteDetail>`
  `getAllWebSite()`
  `Collection<IconDetail>`
  `getIcons(SitePK pk)`
  `String`
  `getIdPublication(String siteId)`
  `String`
  `getNextId()`
  `SiteDetail`
  `getWebSite(SitePK pk)`
  `List<SiteDetail>`
  `getWebSites(List<String> siteIds)`
  `void`
  `publish(Collection<String> siteIds)`
  `void`
  `updateWebSite(SiteDetail description)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SiteDAO

    public SiteDAO(String componentId)

- ## Method Details

  - ### getIdPublication

    public String getIdPublication(String siteId) throws SQLException
    Throws:
      `SQLException`

  - ### getAllWebSite

    public Collection<SiteDetail> getAllWebSite() throws SQLException
    Throws:
      `SQLException`

  - ### getWebSite

    public SiteDetail getWebSite(SitePK pk) throws SQLException
    Throws:
      `SQLException`

  - ### getWebSites

    public List<SiteDetail> getWebSites(List<String> siteIds) throws SQLException
    Throws:
      `SQLException`

  - ### getIcons

    public Collection<IconDetail> getIcons(SitePK pk) throws SQLException
    Throws:
      `SQLException`

  - ### getNextId

    public String getNextId() throws SQLException
    Throws:
      `SQLException`

  - ### getAllIcons

    public Collection<IconDetail> getAllIcons() throws SQLException
    Throws:
      `SQLException`

  - ### createWebSite

    public void createWebSite(SiteDetail description) throws SQLException
    Throws:
      `SQLException`

  - ### associateIcons

    public void associateIcons(String id, Collection<String> iconIds) throws SQLException
    Throws:
      `SQLException`

  - ### publish

    public void publish(Collection<String> siteIds) throws SQLException
    Throws:
      `SQLException`

  - ### dePublish

    public void dePublish(Collection<String> siteIds) throws SQLException
    Throws:
      `SQLException`

  - ### deleteWebSites

    public void deleteWebSites(Collection<String> siteIds) throws SQLException
    Throws:
      `SQLException`

  - ### deleteAllWebSites

    public void deleteAllWebSites() throws SQLException
    Throws:
      `SQLException`

  - ### updateWebSite

    public void updateWebSite(SiteDetail description) throws SQLException
    Throws:
      `SQLException`